osl::move_action::Concept< T > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::move_action::Concept< T > Struct Template Reference

MoveAction の制約. More...

`#include <concept.h>`

## Public Member Functions
void | constraints ()
| 制約 More...

## Public Attributes
void(T::* | simple )(Square, Square, Ptype, bool, Player, Move)
void(T::* | unknown )(Square, Square, Piece, Ptype, bool, Player, Move)
void(T::* | drop )(Square, Ptype, Player, Move)

## Detailed Description

### template<class T>
struct osl::move_action::Concept< T >

MoveAction の制約.

http://www.boost.org/libs/concept_check/concept_check.htm

Definition at line 37 of file move_action/concept.h.

## Member Function Documentation

template<class T >

void osl::move_action::Concept< T >::constraints | ( | ) |  |
| inline

制約

Definition at line 40 of file move_action/concept.h.

References osl::move_action::Concept< T >::drop, osl::move_action::dropMove(), osl::move_action::Concept< T >::simple, osl::move_action::simpleMove(), osl::move_action::Concept< T >::unknown, and osl::move_action::unknownMove().

## Member Data Documentation

template<class T >

void(T::* osl::move_action::Concept< T >::drop)(Square, Ptype, Player, Move)

Definition at line 53 of file move_action/concept.h.

Referenced by osl::move_action::Concept< T >::constraints().

template<class T >

void(T::* osl::move_action::Concept< T >::simple)(Square, Square, Ptype, bool, Player, Move)

Definition at line 51 of file move_action/concept.h.

Referenced by osl::move_action::Concept< T >::constraints().

template<class T >

void(T::* osl::move_action::Concept< T >::unknown)(Square, Square, Piece, Ptype, bool, Player, Move)

Definition at line 52 of file move_action/concept.h.

Referenced by osl::move_action::Concept< T >::constraints().

The documentation for this struct was generated from the following file:

- move_action/concept.h